API referenceAdmin billing
Update Price
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
priceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/billing/prices/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "plan": "free", "interval": "month", "variant": "string", "amountCents": 0, "currency": "string", "polarProductId": "string", "active": true, "updatedAt": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}